#
# Conditional build:
%bcond_with	tests	# perform "make test" (one test fails)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Run3
Summary:	IPC::Run3 - Run a subprocess in batch mode (a la system) on Unix, Win32, etc.
Summary(pl.UTF-8):	IPC::Run3 - uruchamianie podprocesu w trybie wsadowym (tak jak system)
Name:		perl-IPC-Run3
Version:	0.046
Release:	1
License:	BSD, GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c1c8f5605cae097e6fc118f7f1437dfd
URL:		http://search.cpan.org/dist/IPC-Run3/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.31
BuildRequires:	perl-Time-HiRes
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Run a subprocess in batch mode (a la system) on Unix, Win32, etc.

%description -l pl.UTF-8
Uruchamianie podprocesu w trybie wsadowym (tak jak system) na
Uniksach, Win32 itd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorlib}/IPC/Run3.pm
%{perl_vendorlib}/IPC/Run3
%{_mandir}/man3/IPC::Run3*.3pm*
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IPC-Run3.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 7a48810
- updated to 0.046

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> d048912
- up to 0.045

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 1df6a41
- updated to 0.044

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 0325464
- fixed commit log

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 68c1aa4
- updated to 0.043

* Sun Feb 17 2008 radek <radek@pld-linux.org> 4709336
- version 0.039

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 02188a5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 49ef15c
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2283ca1
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> efbaf3f
- uniksach->Uniksach

* Fri May 21 2004 Jakub Bogusz <qboosh@pld-linux.org> 2111e7b
- pl

* Fri May 21 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ae40c9
- initial pld release

